"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class AlarmService {
    getActiveAlarm(accesskey) {
        return new Promise((resolve, reject) => {
            const request = new XMLHttpRequest();
            request.onload = () => {
                if (request.status !== 200) {
                    reject('Request error, status code: ' + request.status);
                    return;
                }
                const response = JSON.parse(request.responseText);
                console.log(response);
                if (response.success !== true) {
                    resolve(null);
                    return;
                }
                resolve(response.data);
            };
            request.onerror = () => {
                reject(new Error('Request error, status text: ' + request.statusText));
            };
            request.open('GET', 'https://www.divera247.com/api/last-alarm?accesskey=' + accesskey);
            request.setRequestHeader('Content-Type', 'application/json');
            request.send();
        });
    }
}
exports.default = AlarmService;
//# sourceMappingURL=AlarmService.js.map