"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class AuthenticationService {
    getAccesskey(username, password) {
        return new Promise((resolve, reject) => {
            const request = new XMLHttpRequest();
            request.onload = () => {
                if (request.status !== 200) {
                    reject('Login fehlgeschlagen: ' + request.responseText);
                    return;
                }
                let response = JSON.parse(request.responseText);
                if (response.success !== true) {
                    reject('Login fehlgeschlagen: ' + request.responseText);
                    return;
                }
                response = response.data;
                const accesskey = response.user.access_token;
                if (!accesskey) {
                    reject('Login fehlgeschlagen: ' + request.responseText);
                    return;
                }
                resolve(accesskey);
            };
            request.open('POST', 'https://www.divera247.com/api/v2/auth/login');
            request.setRequestHeader('Content-Type', 'application/json');
            request.send(JSON.stringify({
                Login: {
                    username,
                    password
                }
            }));
        });
    }
}
exports.default = AuthenticationService;
//# sourceMappingURL=AuthenticationService.js.map