"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const os_1 = require("os");
const AbstractDisplayService_1 = require("./AbstractDisplayService");
class DisplayServiceLinux extends AbstractDisplayService_1.default {
    get screensaverPath() {
        if (os_1.release().startsWith('17.')) {
            // High Sierra and later
            return '/System/Library/CoreServices/ScreenSaverEngine.app/Contents/MacOS/ScreenSaverEngine';
        }
        else {
            // Sierra and before
            return '/System/Library/Frameworks/ScreenSaver.framework/Resources/ScreenSaverEngine.app/Contents/MacOS/ScreenSaverEngine';
        }
    }
    _turnOn() {
        if (this.childProcess === undefined || this.childProcess === null) {
            console.log('Display is already on');
            return;
        }
        this.childProcess = child_process_1.exec(`kill ${this.childProcess.pid}`);
        this.childProcess.stderr.on('data', (data) => {
            console.error(data);
        });
    }
    _turnOff() {
        this.childProcess = child_process_1.exec(this.screensaverPath);
        this.childProcess.stderr.on('data', (data) => {
            console.error(data);
        });
    }
}
exports.default = DisplayServiceLinux;
//# sourceMappingURL=DisplayServiceMacOS.js.map