import DisplayService from '../public/interfaces/DisplayService'

export default abstract class AbstractDisplayService implements DisplayService {

  isOn = true
  get isOff() {
    return !this.isOn
  }

  turnOn() {
    console.log('Turning display on')
    this._turnOn()
    this.isOn = true
  }
  turnOff() {
    console.log('Turning display off')
    this._turnOff()
    this.isOn = false
  }
  toggleState() {
    if (this.isOn) this.turnOff()
    else this.turnOn()
  }

  abstract _turnOn(): void
  abstract _turnOff(): void

}
