const storage = require('electron-json-storage')

export default class Database {

  getValueForKey(key: string): Promise<object> {
    return new Promise<object>((resolve, reject) => {
      storage.get(key, (error: ErrorConstructor, data: object) => {
        if (error) reject(error)
        resolve(data)
      })
    })
  }

  setValueForKey(value: object, key: string): Promise<void> {
    return new Promise<void>((resolve, reject) => {
      storage.set(key, value, (error: ErrorConstructor) => {
        if (error) reject(error)
        resolve()
      })
    })
  }

}
