import { app, BrowserWindow } from 'electron'
import { DisplayServiceFactory } from './application/display'

app.on('ready', () => {
  const isInDebugMode = process.env.DEBUG === 'true' || process.env.DEBUG === '1'

  const window = new BrowserWindow({
    width: 400 + (isInDebugMode ? 500 : 0),
    height: 680 + (isInDebugMode ? 400 : 0),
    backgroundColor: '#00080f',
    show: false
  })
  window.on('ready-to-show', () => {
    window.show()
    window.focus()
  })
  window.loadFile('src/html/login.html')

  if (isInDebugMode) window.webContents.toggleDevTools()
})

app.on('before-quit', () => {
  console.log('App is quitting: Try to turn display on.')
  DisplayServiceFactory.getDisplayService().turnOn()
})
